<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}

if ( !class_exists( 'WOOPCD_PartialCOD_Admin_Data_List_Order_Statuses' ) ) {

    class WOOPCD_PartialCOD_Admin_Data_List_Order_Statuses {

        public static function init() {
            add_filter( 'woopcd_partialcod-admin/get-data-list-wc_order_statuses', array( new self(), 'get_wc_data_list' ), 20, 2 );
            add_filter( 'woopcd_partialcod-admin/get-data-list-order_statuses', array( new self(), 'get_data_list' ), 20, 2 );
        }

        public static function get_wc_data_list( $result, $data_args ) {
            foreach ( wc_get_order_statuses() as $key => $order_status ) {
                $result[ $key ] = $order_status;
            }

            return $result;
        }

        public static function get_data_list( $result, $data_args ) {

            foreach ( self::get_wc_data_list( $result, $data_args ) as $key => $status_name ) {

                $status_id = str_replace( 'wc-', '', $key );

                $result[ $status_id ] = $status_name;
            }

            return $result;
        }

    }

    WOOPCD_PartialCOD_Admin_Data_List_Order_Statuses::init();
}