<?php

if (!class_exists('Reon')) {
    return;
}

if (!class_exists('WOOPCD_PartialCOD_Admin_Order_Activity_Trigger_Order_Created')) {

    class WOOPCD_PartialCOD_Admin_Order_Activity_Trigger_Order_Created {

        public static function init() {
            add_filter('woopcd_partialcod-admin/order-activities/get-trigger-types', array(new self(), 'get_trigger_type'), 10, 2);
        }

        public static function get_trigger_type($in_types, $args = array()) {
            $in_types['order_created'] = esc_html__('Order Created', 'woopcd-partialcod-pro');
            return $in_types;
        }

    }

    WOOPCD_PartialCOD_Admin_Order_Activity_Trigger_Order_Created::init();
}
