<?php

if (!class_exists('Reon')) {
    return;
}

if (!class_exists('WOOPCD_PartialCOD_Admin_Order_Condition_Types')) {
    WOOPCD_PartialCOD_Main::required_paths(dirname(__FILE__), array('order-condition-types.php'));

    class WOOPCD_PartialCOD_Admin_Order_Condition_Types {

       
        public static function get_groups($args) {
            
            return apply_filters('woopcd_partialcod-admin/get-order-condition-groups', array(), $args);
        }

        public static function get_conditions($group_id, $args) {
            return apply_filters('woopcd_partialcod-admin/get-order-' . $group_id . '-group-conditions', array(), $args);
        }
        
        public static function get_condition_fields($condition_id, $args) {
            $args['condition_id'] = $condition_id;
            return apply_filters('woopcd_partialcod-admin/get-order-' . $condition_id . '-condition-fields', array(), $args);
        }

    }

}