<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}

if ( !class_exists( 'WOOPCD_PartialCOD_Premium_Admin_Discount_Settings' ) ) {

    class WOOPCD_PartialCOD_Premium_Admin_Discount_Settings {

        public static function init() {
            add_filter( 'woopcd_partialcod-admin/cart-discounts/get-cart-totals-options', array( new self(), 'get_calc_options' ), 10, 1 );
        }

        public static function get_calc_options( $options ) {

            $options[ 'coupons' ] = esc_html__( 'Add coupons', 'woopcd-partialcod-pro' );
            $options[ 'coupons_taxes' ] = esc_html__( 'Add coupon taxes', 'woopcd-partialcod-pro' );
            $options[ 'n_coupons' ] = esc_html__( 'Subtract coupons', 'woopcd-partialcod-pro' );
            $options[ 'n_coupons_taxes' ] = esc_html__( 'Subtract coupon taxes', 'woopcd-partialcod-pro' );
            $options[ 'fees' ] = esc_html__( 'Add fees', 'woopcd-partialcod-pro' );
            $options[ 'fee_taxes' ] = esc_html__( 'Add fee taxes', 'woopcd-partialcod-pro' );            
            $options[ 'shipping_cost' ] = esc_html__( 'Add shipping cost', 'woopcd-partialcod-pro' );
            $options[ 'shipping_cost_tax' ] = esc_html__( 'Add shipping cost tax', 'woopcd-partialcod-pro' );
            $options[ 'partialcod_discounts' ] = esc_html__( 'Add partialcod discounts', 'woopcd-partialcod-pro' );
            $options[ 'partialcod_discount_taxes' ] = esc_html__( 'Add partialcod discount taxes', 'woopcd-partialcod-pro' );
            $options[ 'n_partialcod_discounts' ] = esc_html__( 'Subtract partialcod discounts', 'woopcd-partialcod-pro' );
            $options[ 'n_partialcod_discount_taxes' ] = esc_html__( 'Subtract partialcod discount taxes', 'woopcd-partialcod-pro' );
            
            return $options;
        }

    }

    WOOPCD_PartialCOD_Premium_Admin_Discount_Settings::init();
}