<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'WOOPCD_PartialCOD_Polylang_Method_Options_IconUrl' ) ) {

    class WOOPCD_PartialCOD_Polylang_Method_Options_IconUrl {
        
        public function translate_option( $option, $prefix ) {

            if ( isset( $option[ 'icon_url' ] ) ) {

                $icon_url_string_id = $prefix . 'icon_url';

                $option[ 'icon_url' ] = WOOPCD_PartialCOD_Polylang::get_translated_string( $option[ 'icon_url' ], $icon_url_string_id );
            }
                        
            return $option;
        }

        public function get_strings( $option_strings, $method_option, $prefix ) {

            $option_strings[ $prefix . 'icon_url' ] = array(
                'value' => $method_option[ 'icon_url' ],
                'is_multiline' => true
            );

            return $option_strings;
        }

    }

}