<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'WOOPCD_PartialCOD_Polylang_Method_Options_Restriction' ) ) {

    class WOOPCD_PartialCOD_Polylang_Method_Options_Restriction {
        
        public function translate_option( $option, $prefix ) {

            if ( isset( $option[ 'message' ] ) ) {

                $message_string_id = $prefix . 'message';

                $option[ 'message' ] = WOOPCD_PartialCOD_Polylang::get_translated_string( $option[ 'message' ], $message_string_id );
            }
                        
            return $option;
        }
        
        public function get_strings( $option_strings, $method_option, $prefix ) {
            
            $option_strings[ $prefix . 'message' ] = array(
                'value' => $method_option[ 'message' ],
                'is_multiline' => true
            );
            
            return $option_strings;
        }
    }

}
