<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'WOOPCD_PartialCOD_WPML_Method_Options_Description' ) ) {

    class WOOPCD_PartialCOD_WPML_Method_Options_Description {

        public function translate_option( $option, $prefix ) {

            if ( isset( $option[ 'desc' ] ) ) {

                $desc_string_id = $prefix . 'desc';

                $option[ 'desc' ] = WOOPCD_PartialCOD_WPML::get_translated_string( $option[ 'desc' ], $desc_string_id );
            }
                        
            return $option;
        }
        
        public function get_strings( $option_strings, $method_option, $prefix ) {

            $option_strings[ $prefix . 'desc' ] = array(
                'value' => $method_option[ 'desc' ],
                'is_multiline' => true
            );

            return $option_strings;
        }

    }

}

