<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'WOOPCD_PartialCOD_WPML_Method_Options_Title' ) ) {

    class WOOPCD_PartialCOD_WPML_Method_Options_Title {
        
        public function translate_option( $option, $prefix ) {

            if ( isset( $option[ 'title' ] ) ) {

                $title_string_id = $prefix . 'title';

                $option[ 'title' ] = WOOPCD_PartialCOD_WPML::get_translated_string( $option[ 'title' ], $title_string_id );
            }
                        
            return $option;
        }

        public function get_strings( $option_strings, $method_option, $prefix ) {

            $option_strings[ $prefix . 'title' ] = array(
                'value' => $method_option[ 'title' ],
                'is_multiline' => true
            );

            return $option_strings;
        }

    }

}

