<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'WOOPCD_PartialCOD_Option_Types_Icon_Url' ) ) {

    class WOOPCD_PartialCOD_Option_Types_Icon_Url {

        public function __construct() {

            add_filter( 'woopcd_partialcod/get-icon_url-options', array( $this, 'get_option' ), 1, 3 );
            add_filter( 'woopcd_partialcod/apply-icon_url-method-option', array( $this, 'apply_option' ), 1, 2 );
        }

        public function get_option( $option, $option_args, $cart_data ) {

            if ( isset( $option_args[ 'icon_url' ] ) ) {
                $option[ 'icon_url' ] = $option_args[ 'icon_url' ];
            }

            return $option;
        }

        public function apply_option( $method, $option ) {

            if ( isset( $option[ 'icon_url' ] ) ) {
                $method->icon = $option[ 'icon_url' ];
            }

            return $method;
        }

    }

    new WOOPCD_PartialCOD_Option_Types_Icon_Url();
}
