<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'WOOPCD_PartialCOD_Order_Activity_Trigger_Order_Created' ) ) {

    class WOOPCD_PartialCOD_Order_Activity_Trigger_Order_Created {

        public function __construct() {
            if ( WOOPCD_PartialCOD_Order_Activity_Trigger_Types::get_trigger_type_is_active( 'order_created' ) ) {
                add_action( 'woopcd_partialcod/order_processed', array( $this, 'trigger_activities' ), 10, 3 );
            }
        }

        public function trigger_activities( $order_id, $posted_data, $order ) {
            $args = array(
                'trigger' => 'order_created',
            );

            do_action( 'woopcd_partialcod/trigger-order-activities', $order_id, $args );
        }

    }

    new WOOPCD_PartialCOD_Order_Activity_Trigger_Order_Created();
}
