<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'WOOPCD_PartialCOD_Order_Activity_Trigger_Payment_Completed' ) ) {

    class WOOPCD_PartialCOD_Order_Activity_Trigger_Payment_Completed {

        public function __construct() {
            if ( WOOPCD_PartialCOD_Order_Activity_Trigger_Types::get_trigger_type_is_active( 'payment_completed' ) ) {
                add_action( 'woocommerce_payment_complete', array( $this, 'trigger_activities' ), 10, 1 );
            }
        }

        public function trigger_activities( $order_id ) {
            $args = array(
                'trigger' => 'payment_completed',
            ); 
           do_action( 'woopcd_partialcod/trigger-order-activities', $order_id, $args );
        }

    }

    new WOOPCD_PartialCOD_Order_Activity_Trigger_Payment_Completed();
}