<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'WOOPCD_PartialCOD_Order_Total_Types_Subtotals' ) ) {

    class WOOPCD_PartialCOD_Order_Total_Types_Subtotals {

        public function calc_totals( $totals, $option, $order_data ) {
            
            $subtotals = $this->get_subtotals( $order_data );

            if ( 'subtotal' == $option ) {
                $totals += $subtotals[ 'subtotal' ];
            }
    
            return $totals;
        }

        private function get_subtotals( $order_data ) {

            $subtotals = array(
                'subtotal' => 0,
            );

            if ( !isset( $order_data[ 'wc' ][ 'totals' ][ 'subtotal' ] ) ) {
                return $subtotals;
            }

            $subtotals[ 'subtotal' ] = $order_data[ 'wc' ][ 'totals' ][ 'subtotal' ];
            
            return $subtotals;
        }

    }

}