<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}

if ( !class_exists( 'WOOPCD_PartialCOD_Admin_Data_List_Currencies' ) ) {

    class WOOPCD_PartialCOD_Admin_Data_List_Currencies {

        public static function init() {
            add_filter( 'woopcd_partialcod-admin/get-data-list-currencies', array( new self(), 'get_currency_list' ), 20, 2 );
        }

        public static function get_currency_list( $result, $data_args ) {

            $currenties = array_keys( get_woocommerce_currencies() );

            foreach ( $currenties as $currency ) {
                $result[ $currency ] = $currency;
            }

            return $result;
        }

    }

    WOOPCD_PartialCOD_Admin_Data_List_Currencies::init();
}