<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}

if ( !class_exists( 'WOOPCD_PartialCOD_Admin_Data_List_Payment_Methods' ) ) {

    class WOOPCD_PartialCOD_Admin_Data_List_Payment_Methods {

        public static function init() {
            add_filter( 'woopcd_partialcod-admin/get-data-list-payment_methods', array( new self(), 'get_data_list' ), 20, 2 );
        }

        public static function get_data_list( $result, $data_args ) {

            foreach ( WOOPCD_PartialCOD_Admin_Page::get_all_payment_methods() as $key => $method ) {
                $result[ $key ] = $method[ 'method_title' ];
            }
            return $result;
        }

    }

    WOOPCD_PartialCOD_Admin_Data_List_Payment_Methods::init();
}