<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}

if ( !class_exists( 'WOOPCD_PartialCOD_Admin_Data_List_Schedule_Intervals' ) ) {

    class WOOPCD_PartialCOD_Admin_Data_List_Schedule_Intervals {

        public static function init() {
            add_filter( 'woopcd_partialcod-admin/get-data-list-schedule_intervals', array( new self(), 'get_data_list' ), 20, 2 );
        }

        public static function get_data_list( $result, $data_args ) {

            $schedules = wp_get_schedules();
            $result[ '' ] = esc_html__( 'Disabled', 'woopcd-partialcod-pro' );
            if ( count( $schedules ) ) {
                foreach ( $schedules as $key => $schedule ) {
                    $result[ $key ] = $schedule[ 'display' ];
                }
            }

            return $result;
        }

    }

    WOOPCD_PartialCOD_Admin_Data_List_Schedule_Intervals::init();
}