<?php

if (!class_exists('Reon')) {
    return;
}

if (!class_exists('WOOPCD_PartialCOD_Premium_Admin_Data_List_Tax_Classes')) {

    class WOOPCD_PartialCOD_Premium_Admin_Data_List_Tax_Classes {

        public static function init() {
            add_filter('woopcd_partialcod-admin/get-data-list-tax_options', array(new self(), 'get_data_list'), 20, 2);
        }

        public static function get_data_list($result, $data_args) {


            $tax_object = new WC_Tax();
            $tax_classes = $tax_object->get_tax_classes();
            $tax_classes_slug = $tax_object->get_tax_class_slugs();

            
            for ($i = 0; $i < count($tax_classes); $i++) {               
                $result[$tax_classes_slug[$i]] = $tax_classes[$i];
            }

            return $result;
        }

    }

    WOOPCD_PartialCOD_Premium_Admin_Data_List_Tax_Classes::init();
}
