<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}

if ( !class_exists( 'WOOPCD_PartialCOD_Premium_Admin_Amount_Types' ) ) {
    WOOPCD_PartialCOD_Main::required_paths( dirname( __FILE__ ), array( 'amount-types.php' ) );

    class WOOPCD_PartialCOD_Premium_Admin_Amount_Types {

        public static function init() {
            add_filter( 'woopcd_partialcod-admin/get-amount-add-methods', array( new self(), 'get_amount_add_methods' ), 10 );
        }

        public static function get_amount_add_methods( $options ) {
            $options[ 'sub' ] = esc_html__( 'Subtract from previous amounts', 'woopcd-partialcod-pro' );
            $options[ 'set' ] = esc_html__( 'Override previous amounts', 'woopcd-partialcod-pro' );
            return $options;
        }
        
        public static function get_item_based_on_required_ids( $args ) {

            return apply_filters( 'woopcd_partialcod-admin/get-item-based-on-required-ids', array(), $args );
        }

    }

    WOOPCD_PartialCOD_Premium_Admin_Amount_Types::init();
}