<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}

if ( !class_exists( 'WOOPCD_PartialCOD_Admin_Order_Activity_Trigger_Order_Refunded' ) ) {

    class WOOPCD_PartialCOD_Admin_Order_Activity_Trigger_Order_Refunded {

        public static function init() {
            add_filter( 'woopcd_partialcod-admin/order-activities/get-trigger-types', array( new self(), 'get_trigger_type' ), 10, 2 );
        }

        public static function get_trigger_type( $in_types, $args = array() ) {
            $in_types[ 'order_refunded' ] = esc_html__( 'Order Refunded', 'woopcd-partialcod-pro' );
            $in_types[ 'order_partially_refunded' ] = esc_html__( 'Order Partially Refunded', 'woopcd-partialcod-pro' );
            $in_types[ 'order_fully_refunded' ] = esc_html__( 'Order Fully Refunded', 'woopcd-partialcod-pro' );
            return $in_types;
        }

    }

    WOOPCD_PartialCOD_Admin_Order_Activity_Trigger_Order_Refunded::init();
}

