<?php

if (!class_exists('Reon')) {
    return;
}

if (!class_exists('WOOPCD_PartialCOD_Admin_Order_Activity_Trigger_Status_Changed')) {

    class WOOPCD_PartialCOD_Admin_Order_Activity_Trigger_Status_Changed {

        public static function init() {
            add_filter('woopcd_partialcod-admin/order-activities/get-trigger-types', array(new self(), 'get_trigger_type'), 10, 2);
        }

        public static function get_trigger_type($in_types, $args = array()) {
            $in_types['status_changed'] = esc_html__('Order Status Changed', 'woopcd-partialcod-pro');
            return $in_types;
        }

    }

    WOOPCD_PartialCOD_Admin_Order_Activity_Trigger_Status_Changed::init();
}
