<?php

if (!class_exists('Reon')) {
    return;
}

if (!class_exists('WOOPCD_PartialCOD_Premium_Admin_Fee_Rule_Panel_Options')) {

    class WOOPCD_PartialCOD_Premium_Admin_Fee_Rule_Panel_Options {

        public static function init() {
            add_filter('woopcd_partialcod-admin/cart-fees/get-rule-panel-option-fields', array(new self(), 'get_fields'), 20, 2);
        }

        public static function get_fields($in_fields, $method_id) {

            $in_fields[] = array(
                'id' => 'any_ids',
                'type' => 'columns-field',
                'columns' => 1,
                'merge_fields' => false,
                'fields' => array(
                    array(
                        'id' => 'notify',
                        'type' => 'textbox',
                        'sanitize_type' => 'partialcod_kses_post',
                        'tooltip' => esc_html__('Controls gateway fee notifications on cart and checkout pages, try {{amount_inc_tax}}, {{amount_ex_tax}} or {{title}}', 'woopcd-partialcod-pro'),
                        'column_size' => 1,
                        'column_title' => esc_html__('Cart Notification', 'woopcd-partialcod-pro'),
                        'default' => '',
                        'placeholder' => esc_html__('Type here...', 'woopcd-partialcod-pro'),
                        'width' => '100%',
                    ),
                ),
            );

            return $in_fields;
        }

    }
WOOPCD_PartialCOD_Premium_Admin_Fee_Rule_Panel_Options::init();
}