<?php

if (!class_exists('Reon')) {
    return;
}

if (!class_exists('WOOPCD_PartialCOD_Premium_Admin_Method_Rule_Panel_Conditions')) {

    class WOOPCD_PartialCOD_Premium_Admin_Method_Rule_Panel_Conditions {

        public static function init() {
           
            add_filter('woopcd_partialcod-admin/method-options/get-rule-panel-conditions-fields', array(new self(), 'get_Panel_fields'), 1, 2);
        }

        public static function get_Panel_fields($in_fields, $method_id) {
            $in_fields[] = array(
                'id' => 'match_mode',
                'type' => 'select2',
                'full_width' => true,
                'center_head' => true,
                'title' => esc_html__('Method Conditions', 'woopcd-partialcod-pro'),
                'desc' => esc_html__('List of conditions in which this settings should apply, empty conditions will apply in all cases', 'woopcd-partialcod-pro'),
                'default' => 'match_all',
                'options' => array(
                    'match_all' => esc_html__('All conditions should match', 'woopcd-partialcod-pro'),
                    'match_one' => esc_html__('At least one condition should match', 'woopcd-partialcod-pro'),
                ),
                'width' => '320px',
            );


            return $in_fields;
        }

    }

    WOOPCD_PartialCOD_Premium_Admin_Method_Rule_Panel_Conditions::init();
}