<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}

if ( !class_exists( 'WOOPCD_PartialCOD_Premium_Admin_Method_Rules_Cart_Totals' ) ) {

    class WOOPCD_PartialCOD_Premium_Admin_Method_Rules_Cart_Totals {

        public static function init() {
            add_filter( 'woopcd_partialcod-admin/method-options/get-cart-totals-options', array( new self(), 'get_calc_options' ), 10, 1 );
        }

        public static function get_calc_options( $options ) {

            $options[ 'coupons' ] = esc_html__( 'Add coupons', 'woopcd-partialcod-pro' );
            $options[ 'coupons_taxes' ] = esc_html__( 'Add coupon taxes', 'woopcd-partialcod-pro' );
            $options[ 'n_coupons' ] = esc_html__( 'Subtract coupons', 'woopcd-partialcod-pro' );
            $options[ 'n_coupons_taxes' ] = esc_html__( 'Subtract coupon taxes', 'woopcd-partialcod-pro' );
            $options[ 'fees' ] = esc_html__( 'Add fees', 'woopcd-partialcod-pro' );
            $options[ 'fee_taxes' ] = esc_html__( 'Add fee taxes', 'woopcd-partialcod-pro' );
            $options[ 'shipping_cost' ] = esc_html__( 'Add shipping cost', 'woopcd-partialcod-pro' );
            $options[ 'shipping_cost_tax' ] = esc_html__( 'Add shipping cost tax', 'woopcd-partialcod-pro' );
            
            return $options;
        }

    }

    WOOPCD_PartialCOD_Premium_Admin_Method_Rules_Cart_Totals::init();
}