<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'WOOPCD_PartialCOD_WPML_Method_Options_OrderButtonText' ) ) {

    class WOOPCD_PartialCOD_WPML_Method_Options_OrderButtonText {
        
        public function translate_option( $option, $prefix ) {

            if ( isset( $option[ 'order_button_text' ] ) ) {

                $order_button_text_string_id = $prefix . 'order_button_text';

                $option[ 'order_button_text' ] = WOOPCD_PartialCOD_WPML::get_translated_string( $option[ 'order_button_text' ], $order_button_text_string_id );
            }
                        
            return $option;
        }

        public function get_strings( $option_strings, $method_option, $prefix ) {

            $option_strings[ $prefix . 'order_button_text' ] = array(
                'value' => $method_option[ 'order_button_text' ],
                'is_multiline' => true
            );

            return $option_strings;
        }

    }

}