<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'WOOPCD_PartialCOD_Order_Total_Types_Totals' ) ) {

    class WOOPCD_PartialCOD_Order_Total_Types_Totals {

        public function calc_totals( $totals, $option, $order_data ) {

            $coupon_totals = $this->get_shiiping_rates( $order_data );

            if ( 'total' == $option ) {
                $totals += $coupon_totals[ 'total' ];
            }

            if ( 'total_tax' == $option ) {
                $totals += $coupon_totals[ 'total_tax' ];
            }

            return $totals;
        }

        private function get_shiiping_rates( $order_data ) {

            $totals = array(
                'total' => 0,
                'total_tax' => 0,
            );

            if ( !isset( $order_data[ 'wc' ][ 'totals' ][ 'total' ] ) ) {
                return $totals;
            }

            $totals[ 'total' ] = $order_data[ 'wc' ][ 'totals' ][ 'total' ];
            $totals[ 'total_tax' ] = $order_data[ 'wc' ][ 'totals' ][ 'total_tax' ];

            return $totals;
        }

    }

}